#!/bin/bash

set -e

build_tag="build-dev-$(date +%Y%m%d-%H%M)"
echo Build tag $build_tag

docker build --build-arg repo=dev --no-cache -t admin:$build_tag .

docker tag admin:$build_tag dev-registry.infoclinica.ru:5000/iru/admin:$build_tag
docker tag admin:$build_tag dev-registry.infoclinica.ru:5000/iru/admin:dev-latest
docker push dev-registry.infoclinica.ru:5000/iru/admin:$build_tag
docker push dev-registry.infoclinica.ru:5000/iru/admin:dev-latest

docker service update info_admin --image dev-registry.infoclinica.ru:5000/iru/admin:$build_tag

